package Application;

/**
* @version 1.0, 2004/1/1
*/
public class Debit extends LigneComptable implements java.io.Serializable {

	/**
	* Construit un Debit annulation a partir du label,
	* du nom de Produit et de la quantite
	*
	* @param label Le label indique que la transaction est une annulation
	* @param nom Nom du Produit dont on annule la vente
	* @param qte Quantite de Produit dont on annule la vente
	*/
	protected Debit(String label, String nom, int qte) {
		super(label, nom, qte);
	}

	/**
	* Construit un Debit annulation a partir du label,
	* du nom de Produit et de la quantite
	*
	* @param label Le label indique que la transaction est un prelevement
	* @param nom Nom de la Personne effectuant le prelevement
	* @param montant Montant preleve
	*/
	protected Debit(String label, String nom, Euro montant) {
		super(label, nom);
	}
}
