#! /bin/sh

. ./common.sh

lc make compil 

lc make -f ${APP_DIR}/Makefile init 

lc cd ${APP_DIR} 
lc make cleansrc
lc make compil

lc cd ${INT_DIR}
lc make cleansrc
lc make compil

if test "x${MAKE_DOC}" = "xyes" ; then
  lc rm -fr ${DOC_DIR}
  lc mkdir -p ${DOC_APP_DIR} ${DOC_INT_DIR}
  lc cd ${DOC_APP_DIR}
  lc javadoc ${APP_DIR}/*.java
  lc cd ${DOC_INT_DIR}
  lc javadoc ${INT_DIR}/*.java
fi

exit 0
