package Application;

/**
* @version 1.0, 2004/1/3
*/
public class AnnulerVente extends LigneComptable implements java.io.Serializable {

	/**
	* Construit une ligne comptable vente, composee
	* du nom du produit, de la quantite et du prix paye
	*
	* @param n Nom du produit
	* @param qte Quantite du produit
	* @param total Total en Euro precalcule
	*/
	protected AnnulerVente(String n, int qte, Euro total) {
		super("annuler_vente_prod", n, qte, total);
	} 
}
